Subject: PREMO NP Ballot Results

From: [email-masked] (GSC Associates, G Carson,PRT)
Date: 08 Apr 93 17:37 GMT

[What follows is the complete text of the PREMO NP ballot results. A few
comments on the transcription are in "[]" brackets. Pages or separate portions
of pages (several attachments were photocopied onto a single page in some
cases) are separated by "------".]
 
ISO/IEC JTC1 N2490
1993-03-31
 
Title: Summary of Voting on Document JTC1 N 2251, Proposal for a New Work Item:
Presentation Environments for Multimedia Objects (PREMO)
 
Source: Secretariat, ISO/IEC JTC 1
 
Status: Although the New Proposal has met the participation requirements for
acceptance into the programme of work of JTC 1, there are a number of comments
from National Bodies which express concern about the definition of the work
item as well as its apparent overlap with existing projects within JTC 1.
Therefore, until these concerns are satisfactorily addressed, the addition of
this item to the programme of work will be held in abeyance.
 
Requested Action: SC 24 is requested to respond to comments received on JTC 1
2251 and forward their response to the JTC 1 Secretariat.
 
Distribution: P and L Members, SC 24 Secretariat
 
------
[The information in the table on the second page has been reworked to fit the
e-mail format. The columns are tab delimited. The questions -- that were not
reproduced in N2490 are:
 
Q.1 Do you accept the proposal in document 2251 as a sufficient definition of
the new work item?
 
Q.2 Do you support the addition of the new work item to the programme of work
of the joint technical committee?
 
Q.3 Do you commit yourself to participate in the development of this new work
item?
 
Q.4 Are you able to commit resources to this item without detracting from the
existing work of the JTC?
 
Q.5 Are you able to offer a project editor who will dedicate his efforts to the
advancement and maintenance of this project?
 
Q.6 Do you have a major contribution or a reference document ready for
submittal?
 
Q.7 Will you have such a contribution within 90 days?]
P Members               Question
            1   2   3   4   5   6   7   Comments
Australia*  Y   Y   N   N   N   N   N
Austria*    Y   Y   Y   N   N   N   N
Belgium*    Y   Y   N   N   N   N   N
Brazil*
Canada*     Y   N   N   N   N   N   N   A1.1
China*
Denmark     N/C N   N   N   N   N   N   A1.2
Egypt       Y   Y   N   N   N   N   N
Finland     Y   Y   N   N   N   N   N
France*     N/C N   Y   Y   N   Y   Y   A2.1
Germany*    N/C Y   Y   Y   Y   Y   Y   A3
Hungary*    Y   Y   N   N   N   N   N
India
Ireland     Y   Y   N   N   N   N   N
Italy*      N/C N/C                     A2.2
Japan*      Y   Y/C Y   Y   N   N   N   A4.1
Rep of Kor  Y   Y   N   N   N   N   N
Nether.*    Y   Y   Y   Y   N/C Y   Y   A4.2
Norway      Y   Y   N   N   N   N   N
RussFed*
Sweden      Y   Y   N   N   N   N   N
Switzerland
UK*         N/C Y   Y   Y   N   N   N   A5
USA*        Y/C Y   Y   Y   N   N   N   A6
Spain                                   A7
SC18                                    A8
 
*P-Member of JTC1/SC 24
N/C Indicates No with Comment(s)
Y/C Indicates Yes with Comment(s)
 
------
Attachment 1.1: Canadian Comments on JTC 1 N 2251
 
The relationship with SC18 Multimedia Objects and SC21/WG3, Multimedia SQL is
not mentioned. Therefore, insufficiently articulated, the work item has not
been sufficiently defined. A positioning architecture diagram is required.
 
------
Attachment 1.2: Danish Comments on JTC 1 N 2251
 
Denmark votes NO on Presentation Environments for Multimedia Objects (PREMO)
and offers the following comments:
 
It is not possible from reading the the proposal to identify the product of the
work (the standard to be envisioned).
 
The scope has a substantial overlap with standards under development within
SC18 and SC29 in particular
- The Model/Framework for Multimedia and Hyermedia (SC18/WG1)
- Voice Content Type ODA and Temporal Relationships of HyperODA (SC 18/WG3)
- HyTime (SC 18/WG9)
- User Interface for Multimedia and Hypermedia (SC 18/WG9)
- JBIG (SC29/WG9)
- JPEG (SC29/WG10)
- MPEG (SC29/WG11)
- MHEG (SC29/WG12 and AVIS (in co-operation with SC18/WG8)
and although the list might not be exhaustive, the indications for future
competitive standards, and, hence, a congused market situation is strong.
 
------
Attachment 2.1: French Comments on JTC 1 N 2251
 
France votes NO but may have an important involvement.
 
The negative vote is based on the absolute necessarity of clarification of the
relationship between the P.R.E.M.O. work item and the existing work of the
ISO/IEC JTC 1/SC29/WG12 "MHEG".
 
France wishes to obtain precisions on the relationship with the currently
approving CD registered under the ISO number 13522.
 
Documentation: document reference 13522
 
------
Attachment 2.2: Italian Comments on JTC 1 N 2251
 
The PREMO New Work Item proposal seems to be in large overlap with the scope of
SC29/WG12 "MHEG", that gas recently registered a CD concerning the "Coded
Representation of Multimedia and HyperMedia Information Objects".
 
PREMO is aimed to represent the construction, presentation and user interaction
with Multimedia objects. MHEG is an interchange encoded representation for
multimedia and hypermedia objects, which also covers the presentation and user
interaction features supported by such objects.
 
In any case, the PREMO works seems to exceed the current scope of SC24
(Computer Graphics and Image Processing).
 
Due to such considerations, Italy gives a negative vote to the PREMO proposal.
Such position will be reconsidered if the features that overlap with MHEG are
removed.
 
------
Attachment 2.2: German Comments on JTC 1 N 2251
 
DIN votes NO on the NP on PREMO as described in ISO/IEC JTC 1 N2251 with the
following comments:
 
The scope of the NP has a substantial overlap with existing standards, or
standards being currently developed in JTC 1, in particular, in SC 18 and SC
29.
 
The scope of the NP is much too broad and not at all precisely defined.
 
The relation of the intended standard of this NP to other standards (existing
or currently under development) is unclear. In particular, many of these
standards are not addressed in the proposed NP.
 
The following (probably not exhaustive) list indicates JTC 1 projects which are
likely to overlap wih the proposed NP.
 
SC 18/WG1 develops a model/framework for a multimedia and hypermedia.
 
SC 18/WG3 has developed the ODA standard which is currently extended by
additional multimedia information types such as audio and by futher hypermedia
functionality and temporal relationships.
 
SC 18/WG4 has developed and continues to develop standards for communication
between applications on distributed systems, in particular, also in respect to
multimedia information.
 
SC 18/WG9 develops user interface for multimedia and hypermedia systems.
 
SC 29/WG9 has developed a Coded Representation of Bi-level and Limited Bits per
pixel Still Pictures (JBIG)
 
SC 29/WG10 defines Coded Representation of Digital Continous-tone Still
Pictures JPEC
 
SC 29/WG11 is responsible for the Coded Representation of of Moving Pictures
and Associated Audio (MPEG).
 
SC 29/WG12 is responsible for the development of the MHEG standard and the
coded representation of Audio Visual Interactive Scriptware (A.V.I.S.). MHEG
deals in particular, with real time presentation and interchange of and
interaction with multimedia objects. AVIS is a joint project with SC 18/WG8.
 
At present, much effort is put into harmonization of these existing or inolving
standards, in particular, to achieve interoperability. Starting the proposal NP
within SC 24 would probably increase the harmonization problems by another
order of magnitude.
 
It is understood that the presentation of multimedia and hypermedia objects is
within the scope of SC24. Nevertheless, new projects in this area within SC24
should only be standard if their scope and their relation to other projects in
JTC 1 is precisely defined.
 
In particular, it is self-evident that presentation of multimedia objects
cannot be defined independent of the underlying multimedia architecutures and
the corresponding interchange formats and codings.
 
The NP document has to be reworded to make the interrelationships between PREMO
and other standards (existing or currently under development) in the area
clear. It should be spelled out precisely which specific tasks in the
multimedia area aretackled by PREMO to aviod duplicating or overlapping work.
 
DIN
Project Editor
Dr. Klaus Kaney
GMD Abf, 13,
Schlop Berlinghoven
5205 St. Augustine
Germany
 
------
Attachment 4.1: Japanese Comments on JTC 1 N 2251
 
The Japanese National Body requests JTC 1 Secretariat to consult with the
chairpersons of SC 18, and SC 24 and SC 29 before the decision of the
allocation of this NP, since above SCs show strong concern about possible
overlap of activites.
 
------
Attachment 4.2: Netherlands Comments on JTC 1 N 2251
 
[Note: the following comment applies only to the vote on providing an editor.]
 
NNI is prepared to reconsider this NO vote, if no suitable candidate can be
found by any other participating member. This refers to providing an editor for
the document.
 
------
Attachment 5: UK Comments on JTC 1 N 2251: Proposal for a NWI: Presentation
Environments for Multimedia Objects (PREMO)
 
The UK votes NO to the NP as presented.
 
The NP attachment detailing the scope and justification is incomplete and
references the initial Draft. It should be modified to be a complete stand
alone document that clearly sets out the specific aims and reasons for the
standardization activity, the benefits, the feasibility, the timeliness,
urgency, benefit to be gained by the implementation of the standard as JTC 1
requires. There is no consistent use of technology in the document which makes
it difficult to make any detailed comment.
 
Of particular concern is the lack of reference to the avoidance of
overlap/conflict with other existing and developing standards. This is the
second time the UK has raised this issue in respect of the PREMO (formerly
PREGO) work. Od particular relevance is ISO/IEC 7942 where the rigious
definition of datatypes and adherence to the Computer Graphics Reference Model
makes it an excellent candidate for the initial components in PREMO.
Also of concern is the short timescale for work which is as yet so
developed.Some nations want a two year programme. The UK expert view is that
nothing worthewhile can be produced in two years and that five years is a more
realistic timescale.
 
Relationship to other work
 
Tentative conclusions on relationships to other work was that:
 
SQL/MM looks useful but does not seem to overlap or be directly relevant.
 
The time concepts of HYTIME[sic] (and of ODA) should be adopted as appropriate.
 
The QDA work and Hytime[sic] need to be looked at as potential exchange
mechanisms.
 
The encoding work in SC 29 needs to be looked at in the context of output (and
potentially of input).
 
There is scope for formal study with SC18 and 29 experts sooner rather than
later
 
The UK supports the proposal to establish a formal descriptive technique for
the project as the initial activity. The proposals in this area should be
completed before any further meetings.
 
------
Attachment 6: US Position on the Proposal for a New Work Item for PREMO
(Presentation Environments for Multimedia Objects) ISO/IEC JTC 1 N 2251
 
The US accepts the proposal in document JTC 1 N2251 as sufficient definition pf
the new work item PREMO with the following comments:
 
The NP would be improved by the following changes:
 
Clarification of PREMO goals
 
The goals of PREMO should be clarified to be consistent with the following
paragraph:
 
The main goal of PREMO is to enable the presentation of, and interaction with,
types of information (multimedia content) beyond traditional graphics and
images (e.g. audio and motion video). An additional goal, explicitly stated in
the JTC1 approved scope for SC24, is to specify the techniques for creating
multimedia and hypermedia documents. PREMO is not intended to define
document-oriented interchange (e.g. audio and motion video). It is expected
that the internal semantics for interchanged graphic information types such as
still images, still computer graphics, animated sequences or computer graphics
and sequences of images will be defined.
 
Relationship of PREMO to other standards
 
PREMO must coexist with and employ many other approved and evolving standards.
The NP form identified many committees (SC18, SC21, SC22,SC29, TC184/SC4, CCITT
and CCIR) with which co-operation and liaison is required. Liaison statements
SC24 N842-845) were sent to those committees bringing this NP to their
attention. In each case, the statements identified what SC24 believed to be
relevant activities in those committees.
 
The attached annex to this document contains a list of adopted or evolving
standards which we believe PREMO will use, or with which PREMO will be
compatible, where appropriate.
 
Annex: Selected JTC1 Multimedia-related Standards
 
SC18 - document processing and relate communications
 
- HyTime, an SGML application for linking and time management
- SPDL, "standardized Postscript 2"
- HyperODA, document architecture for interchange of MM documents
- Content portion specifications (text, image, graphics, audio, ...) for
interchange
- Audio Visual Interactive Interactive Scripts - semantics, not encodings
- Colour callibration for interchange
- Font specification and description (not character sets)
- Multimedia Hypermedia model and framework, for JTC1 (+).
 
SC21 - OSI data base and transfer
 
- Common Application Services and Open Distributed Processing services
- Persistant storage for multimedia objects (SQL-3)
- OSI upper layers (Quality of Service)

SC22 - Programming languages and Posix
 
- Binding to object-oriented languages (Ada 9x, C++,...)
- Common Language-independent Data Types
- Common Language-independent Procedure Calling Mechanisms
 
SC24 - computer graphics and image processing
 
- CGRM, reference model
- CGM, PHIGS, application programmer's interfaces for graphics
- CGM, computer graphics metafile for interchange and storage
- CGI, computer graphics virtual device interface
- IPI, image processing toolkit and interchange facility
 
SC29 - coded representation of picture, audio and MM information
 
- JBIG, "binary" image encoding
- JPEG, coloured still imame encoding
- MPEG, moving picture (and sound) encoding
- MHEG, encoding MM content and structure
- AVIS, encoding MM scripts
 
------
Attachment 7: Spanish Comments on JTC 1 N 2251
 
The Spanish National Body does not accept the proposal in document JTC1 N 2251
(Presentation Environments for Multimedia Objects, PREMO) as sufficient
definition for a new work item, because its scope seems to be all encompassing
due to its lack of precise definition.
 
Not only the relationship of this proposed work item with other existing
standards of work items is not specified (such as Multimedia model and
framework, ODA, Multimedia communication in distributed systems, SGML, DSSSL,
SPDL, HyTime, JBIG, JPEG, MPEG, MHEG, AVIS), but also the proposal seems to
duplicate work due to the overlap with the related JTC 1 projects (in SC 18 and
SC29).
 
------
 
Attachment 8:
ISO/IEC JTC1/SC18/WG3 N2578
B.92
 
Title: Response to SC18 N3959
Subject:JTC 1/SC24 Proposal for New Work Item: PREMO
Source: JTC1/SC18/WG3
Date: 1993/03/02
 
SC 18/WG3 does not believe that there is a need for the work described in the
proposed NP: Presentations Environments for Multimedia Objects (PREMO).
 
The work proposed to be accomplished by this NP would duplicate ongoing
standards development work by SC 18 and SC 29. Particular examples of this are
ODA, SGML and HyTime in SC 18. MHEG and AVIS in SC 29.
 
In addition to the duplication of work due to the overlap with other JTC 1
projects, the scope of the PREMO proposal seems to be all encompassing due to
its lack of precise definition. Futhermore, the relation of PREMO to relevant
standards existing or currently under development in SC 18/WG1 (Multimedia
model and framework), SC 18/WG3 (ODA), SC 18/WG4 (multimedia communication in
distributed systems), SC 18/WG8 (SGML, DSSSL, SPDL, HyTime), SC29/WG9 (JBIG),
SC 29/WG10 (JPEG), SC 29/WG11 (MPEG), SC 29/WG12 (MHEG, AVIS) is not specified.
 
Much effort is already underway to harmonize the multimedia related projects in
SC 18 and SC 29. Starting another project which is not clearly defined in its
relationship to existing projects in this area would greatly increase the
difficulties of harmonization and decrease the chances of success.
 
------
ISO/IEC SC18/WG4 N1551
 
Date: January 29, 1993
From: Convenor of SC18/WG8
Title: Liaison statement to SC24 regarding "Presentation Environments for
Multimedia Objects (PREMO)"
Status: Approved by WG8
Requested Action: To be endorsed by SC18 and forwarded to SC24
 
SC18/WG8 has reviewed the new work item proposal for PREMO.
 
There appears to be significant overlap between PREMO and other projects, most
notably MHEG (SC29/WG12). MHEG is providing interchange encodings for
multimedia objects; PREMO proposes to support the construction of, presentation
of, and interaction with {Multimedia} objects".
 
The new work item proposal is also unclear as to what relationship PREMO will
have with:
 
- other standards developed by SC29 (e.g. JPEG and MPEG)
 
- standards developed by SC18 (HyTime, HyperODA)
 
- other standards (CCITT, etc.) which deal with the encoding of audio and other
multimedia data types
 
Further clarification is requested since the project proposal appears to exceed
the present scope of SC24 (Computer Graphics and Image Processing).